AutoCad :: Hatch Multiple Closed Polylines In The Same Layer?
Apr 9, 2013
Basicaly I have a plan of a part of a city and I want to fill the houses with a solid hatch, I was wondering if I could do them all at once instead of picking an internal point one by one (there are a lot of them!).
I'm trying to create about 150 cross-sections, each consisting of 9 closed polylines of which I have created the coordinates. My issue is making the list of coordinates create separate polylines instead of one enormous polyline. Any way to setup the columns, perhaps with blank rows, some way of applying ASCII code, etc. to automatically break up these polylines? (even if they aren't closed that's fine, I just need to make the polylines separate.)
I am trying to import a complex curve from autocad lt (in my case an airfoil), to create parts. I have drawn the curve in autocad lt as a polyline. Autocad lt treats the curve as a single object, and seems to understand it as a closed loop.
When I import the curve into Inventor lt, Inventor treats the curve as a series of unconnected line segments. What can I do in either Autocad lt or Inventor lt to get Inventor to treat the curve as a single object, so that I can then extrude it?
I have a piece of code that needs closed polylines.
I use the following selectionfilter to filter the selection so I can only select closed polylines:
Dim sf As New SelectionFilter(New TypedValue() {New TypedValue(0, "LWPOLYLINE"), New TypedValue(70, 1)})
Today I noticed that in some drawings this filter won't select all the closed polylines for me.
After some experimenting I found the 'linetype generation' property of the polylines to be the problem. If this is enabled the above filter will not let me select a closed polyline. If I disable it, there is no problem.
How can I make my code for selecting closed polylines more robust? Is there a 'TypedValue' for closed polylines with the linetype generation enabled?
I have a series of boxes or polygones that I would like the program to find the 1/2 distance and create two seperate polylines from the one object.
Example:
I have a square with pt1,pt2, pt3 and pt4 respectively. After I have ran the program it would create a diagonal from pt1 to pt3 and join the rest of the lines now to create the one polyline. Also it would do the same to create another exact polygonal shape for the other half. Thus creating two shapes of equal value from one.
A bit of difference is that the polylines do not have to be even closed. Any polyline gives me exactly the described behaviour, which is definitely not intended. Appears still not resolved.
I've just made the dramatic leap from AutoCAD LT 2005 to AutoCAD LT 2013. By far and away the environment in 'Classic" mode is very familiar and there are some new features. However, one item really getting under my skin is the hatch feature. In LT 2005 one could pick the points to hatch, if the item is closed or not, by individual mouse click points similar to how you can still check an area now. Is this hatch feature still available and I just don't have the new program configured properly or will I be forced to draw each item I want to hatch as a 'closed' element?
I am trying to find a command that will hatch the inner edge of a complex closed poly line, rather than hatch the entire area inside the poly line.
When I have simple shapes such as a rectangle I create a smaller rectangle inside the first that is 1' (or whatever I want my hatched area to be) smaller on all sides than the first rectangle. I hatch by selecting the two rectangles; I change the "Associative" hatch property to "No" and then delete the inner rectangle.
My problem now is that I have a complex closed poly line that I would like to hatch the inner perimeter with a set thickness, say 1 foot. Is there an easy way to hatch a inner boundary of a closed poly line or to recreate a scaled down copy of the poly line that is a set distance smaller all around. I hope I have conveyed the question clearly enough.
My goal is to write a Drawable Overrule, which would change the entities color to dark gray, except when they are on a specific layer. For closed-only curves in this layer, I want to add a semi-transparent hatch.
All works great, until user moves the mouse over this hatch : AutoCAD throws a fatal error and closes. I've no exception in debugger...
When I remove the code concerning the hatch, I've no error at all.
Public Class ClosedCurveDrawableOverrule Inherits DrawableOverrule Public Const HighlightColorIndex As Short = 1 'Color Red Public Const BaseColor As Short = 251 ' Color DarkGray Public Const SpecificLayer As String = "Layer1" ' Set our transparency to 50% (=127) ' Alpha value is Truncate(255 * (100-n)/100) Public [code].......
I have a line drawing from a draftsman. It was imported from some other program, but I'm not sure which. However, this has cropped up many times over the years on my drawings as well as others. It just is typically quickly remedied with a workaround.
The hatch spacing too dense issue requiring me to break up the area: this problem will occur on equally sized areas at the same zoom factor at which I just hatched an adjacent area. I have changed the "MaxHatch" variable environment from stock at 10k, to 100k, then to 1,000k; yet the problem persists. I don't have a particularly fast machine so by that point I decided there was no need to max the variable at 10,000k. There are no z variables in the drawing though it appears, almost randomly, to have plines or lines along the same length of wall.
The second issue is the closed boundary. This occurs on lines that are connected at all corners, even when I stretch and reconnect a line, though that is a very time consuming method. When I increase the hgaptol variable it will hatch bizzarre areas that have no relation to what I am attempting to hatch. This is also occuring even inside a REC that I created just prior to hatching due to error on the original layout. I have to hatch an object rather than select an internal point. It has become so obnoxious in this drawing that I decided to post with these questions.
I am trying to hatch a long curved path that is composed of polylines and splines that I manually joined together by pedit. When I try to hatch it, I get an error message that says the area is not closed and thus cannot be hatched, but I have no clue where the problem area is. Is there a way to figure out what parts aren't lining up/closed correctly? When I select the object, it shows that all the lines are connected, so I don't really know how to fix this.
I have several days of experience with Autocad 2010... The problem: I have many (a lot) polylines in my 2D drawing that are adjacent to each other, but not joined. What is a good way of joining them, so that those that "touch" each other become one? Maybe I can hatch the area, then delete polylines and then reconstruct the boundary?
I need a function that allows to convert the polylines selected with a width globalize defined in a double closed line (spaced by the same width of the polyline), with a hatch inserted automatically defined.
Brilliant idea to draw raceways quickly: instead of making handmade double lines, connect, enter the hatches all by hand, you could quickly draw the polyline with width identical to the size of the duct, and then the lisp transform it into a duct more aesthetically pleasing if compared to the full polyline!
I'm using AutoCAD Civil 3D to model inner city utility construction projects. For my research project, I need to include water and storm pipes, but also various sorts of cables. Currently, I'm manually creating cables profiles using plines from existing 2D drawings and the sweep function.. a very cumbersome taks.
I was wondering whether there is a way to speed this process up. At the moment, I draw a circle, copy it myriads of times, and sweep each along the dozens of plines (one by one). I cannot select multiple lines and sweep them all, can I?
whether I can select mutiple plines to sweep all at once?
If i create a box in 2d,after extrude,it is a solid;but if i create 4 lines to form a box ,after extrude,it is 4 walls?is it possible ,if i have many lines,to convert mulitiples lines to polylines and i can create a solid easier?
I have many segmented polylines that I need to turn into arcs. See the attached image for the method I use to create an arc from a single polyline. I need to do this to thousands of polylines. Does some other method that can do many polylines at once?
I have the need to put COGO points along the vertices of multiple 3D polylines in a DWG. I know how to do this individually for each 3DPL via the "Points>Create - Miscellaneous > Polyline Vertices - Automatic" or "CREATEPTPLYLNCTRVERTAUTO" command. Need tip on how to do this in a batch format for all the selected 3D PLines in the drawing without having to select each individual 3DPL and having to hit return to enter a description for each individual vertex? I can do without having to add a description and can leave each description blank or enter the same description for each.
Lisp (or a native way) to lengthen multiple polylines or lines at once to the same length by entering that length? I found the following lisp routine which extends a line an entered amount, but it has to be on a specific layer, and I want to enter the finished length, not how much to extend it.
(defun c:blen (/ lSet tmp doMode objLst actDoc) ;; *lDel global variable remembered during session (or *lDel (setq *lDel 2.0)) ; default value (princ " >>> Select lines to extend/reduce <<< ") (if (setq lSet [code].........
In 2007, I was able to select multiple polylines before typeing in PEDIT. When I was done with the command, I could then type in PEDIT and L for last and it would select the multiple polylines I had first selected. We just got 2012, and when I do L now it just selects one line. Can I change this?
I need to convert all polylines on layer to blocks. Each polyline gets replaced with a block that is near the approximate center of polyline. it can also be at the first or last node of pline. or just near the center. (polylines are rectangular).
Is it possible to assign a global width to polylines by layer?
I have made changes to one dwg and i now have to apply it to a bazillion more DWG's. But the chnages apply only to a few layers. So i was wondering if i can set the global width to these polylines by layer somehow to save me from doing it "manually"
I created walls for a structure by drawing a simple polylines and extruding it by the Z axis, so that i get a vertical plane. I created a number of such planes in the layer. I want to extract total area of this layer which has these polyline extrusions (planes). I know the command of add area, but it is a tedious process and does not work for curved planes. How do I extract the area for the entire layer in one go ?
When I import shape files the polylines will not take the layer style I move them to. They stay a continuous linetype. Linetype and Lineweight is set to ByLayer. Only difference between the new lines and the lines drawing correctly is the lines that stay continuous are 3D polylines and the correct ones are normal polylines. What I need to do to make the imported lines accept my layer linetypes?